import { BodyDecoder } from '@iotize/tap/client/api';
import { BodyEncoder } from '@iotize/tap/client/api';
export declare class BooleanConverter implements BodyEncoder<boolean>, BodyDecoder<boolean> {
    protected _mask: number;
    static IS_LEAST_SIGNIFICANT_BIT_FIRST: boolean;
    static _instance?: BooleanConverter;
    constructor(_mask?: number);
    decode(data: Uint8Array): boolean;
    encode(value: boolean): Uint8Array;
    static decodeFromNumber(mask: number, value: number): boolean;
    static instanceBit0(): BooleanConverter;
}
